﻿import mx.controls.Alert;
import mx.controls.Button;

class Main
{
	// content holder
	var contentMc:MovieClip;
	
	/**
	* Content creation
	*/
	function Main()
	{
		// new content
		contentMc = Main.parent.createEmptyMovieClip("contentMc", 0);
		
		// create control
		var helloBtn:Button = contentMc.createClassObject(Button, "bt", contentMc.getNextHighestDepth(), {
			label:"Hello world!",
			_x:10,
			_y:10,
			_width:150
		});
		
		// listen
		helloBtn.addEventListener("click", helloBtnClick);
	}
	
	/**
	* Click handler
	* @param	e	Event object
	*/
	function helloBtnClick(e:Object):Void
	{
		trace("click "+e.target);
		Alert.show("Hello World!", "I say...");
	}
	
	
	//{ APPLICATION INITIALIZATION
	
	static var application:Main;
	static var parent:MovieClip
	
	/**
	* Application entry point
	*/
	static function main(scope:MovieClip)
	{
		parent = scope;
		
		// create the content
		application = new Main();
	}
	
	//}
}
